Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime.help
Class QuartzHelper.QuartzCalendarAdapter

    java.lang.Object
      org.kie.api.runtime.help.QuartzHelper.QuartzCalendarAdapter

All Implemented Interfaces:
  Externalizable, Serializable, Calendar

Enclosing class:
  QuartzHelper

    public static class QuartzHelper.QuartzCalendarAdapter

extends Object
implements Calendar, Externalizable

See Also:
  Serialized Form

Constructor Summary
`QuartzHelper.QuartzCalendarAdapter(org.quartz.Calendar calendar)`

Method Summary
`boolean` | `isTimeIncluded(long timestamp)`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuartzHelper.QuartzCalendarAdapter

    public QuartzHelper.QuartzCalendarAdapter(org.quartz.Calendar calendar)

Method Detail

### isTimeIncluded

    public boolean isTimeIncluded(long timestamp)

  Specified by:
    `isTimeIncluded` in interface `Calendar`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.